<?php
define('NTLCMS', 1);
$module = 'pass';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница смены вашего пароля - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Смена пароля</b></div>';
$error = null;
if (isset($_POST['pass']) && isset($_POST['new_pass']) && isset($_POST['last_pass'])){			
if (empty($_POST['pass'])){
$error.= 'Введите действующий пароль!<br/>';
} elseif(md5(md5($_POST['pass'])) != $_USER['pass']){
$error.= 'Действующий пароль введен не верно!<br/>';
} elseif(empty($_POST['new_pass'])){
$error.= 'Введите новый пароль!<br/>';
} elseif(!preg_match('#[a-zA-Z0-9_-]{6,15}#i', $_POST['new_pass'])){
$error.= 'Новый пароль должен содержать от 6 до 15 символов!<br/>';
} elseif(empty($_POST['last_pass'])){
$error.= 'Введите проверочный пароль!<br/>';
} elseif($_POST['last_pass'] != $_POST['new_pass']){
$error.= 'Проверочный пароль введен не верно!<br/>';
} elseif(md5(md5($_POST['new_pass'])) == $_USER['pass']){
$error.= 'У вас задействован этот пароль!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
$hashpass = md5(md5($_POST['new_pass']));
if (DB :: run() -> query("update `users` set `pass` = ? where `login` = ? limit 1", array($hashpass, $ilogin))){
$_SESSION['pass'] = md5(md5($_POST['new_pass']));
echo '<div class="post"><center><i class="fa fa-check-circle fa-fw"></i> Пароль успешно изменен!</center></div>';
header('Refresh: 3; URL='.URL.'/cabinet');
} else {
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Пароль не изменен!</center></div>';
}
}
}
echo '<div class="menu"><form action="'.URL.'/pass" method="post">
<b>* Текущий пароль:</b><br/><input type="password" name="pass" maxlength="15"/><br/>
<b>* Новый пароль:</b><br/><input type="password" name="new_pass" maxlength="15"/><br/>
<b>* Повторите пароль:</b><br/><input type="password" name="last_pass" maxlength="15"/><br/>
<input type="submit" value="Изменить пароль"/></form></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a></div>';
include ('../system/foot.php');
?>